Subject: Re: Switching from CVS to GIT

From: Andreas Ericsson <[email-masked]>
Date: Sun, 14 Oct 2007 21:09:11 +0200

Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 14 Oct 2007, Andreas Ericsson wrote:
> 
>> Benoit SIGOURE wrote:
>>> Context: GNU make seems to be willing to switch from CVS to ... something
>>> else.
>>>
>>> On Oct 14, 2007, at 6:57 PM, Paul Smith wrote:
>>>
>>>> [...] the big thing no one else seems to have addressed much in
>>>> other discussions I've seen is portability.  It LOOKS like there are
>>>> native ports of GIT to MINGW, but I have no idea how complete and usable
>>>> they are.  If someone who has a Windows system could look into that it
>>>> would be a big help.
>>> I think the best thing to do is to ask directly on the Git ML.
>>>
>>> Someone already pointed out that he'd like to use Git on Windows but 
>>> doesn't want to install either Cygwin or MSYS.  Is this possible, or 
>>> will it be possible in the near future?
>> It is sort of possible. Without cygwin he'll be in the black for the few 
>> features that are still implemented as shell-scripts, but perhaps he/she 
>> will then be inclined to help us migrate those scripts to C builtins.
> 
> Umm.  There are quite a few shell scripts still _necessary_ to run git: 
> git-commit, git-fetch and git-merge being the most prominent ones.  The 
> first two are in the process of being rewritten _right_ _now_, but no 
> official git release has them yet.
> 

Ah, right. I think of "accepted into git.git" as being released.

> And I have to disagree strongly with the "black": In msysGit (which brings 
> its own minimal version of MSys), it is very smooth.
> 

Oh? I didn't know that. Windows and its unixifying toolboxes is unknown
territory to me, as I happily spend all my time on various unices.

>>>  Is it possible to use one of the various GUIs (git-gui, gitk, qgit) 
>>> on Windows without requiring a POSIXish shell etc.?
>>>
>> qgit is possible to use natively, if one installs the qgit4 libraries 
>> for windows, but it's more of a viewer than an action gui. git-gui and 
>> gitk are usable if you have the windows TCL port. I haven't tried it, 
>> but there are installers available, so testing it out (with all 
>> dependencies) shouldn't take too long.
> 
> FWIW msysGit comes with Tcl.  You can run git gui and gitk without any 
> hassles.
> 

Yes, my phrasing there was a bit obscure. I meant that all dependencies
are installed by the installer package.

>>>  (if Git is available as a library, and if this library works on 
>>> Windows, it will greatly help truly native Windows ports).
>> Yup. I believe the primary reason for libification is to easier support 
>> both porting and fully-fledged gui's.
> 
> Why?
> 
> I do not see any reason why libification helps the user experience on 
> Windows.
> 

I was under the impression that the windows port suffers from Windows'
lack of a proper fork() and friends and that a proper library would
help solving those problems. Perhaps I was misinformed.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231